%global tardir %{name}-0

Name:           sgabios
Epoch:          1
Version:        0.20110622svn
Release:        %mkrel 1
Summary:        Open-source serial graphics BIOS option rom

Group:          Emulators
License:        ASL 2.0
URL:            http://code.google.com/p/sgabios/
# Tarball created from SVN archive using the following commands:
# svn export -r 8 http://sgabios.googlecode.com/svn/trunk sgabios-0
# tar -czvf sgabios-0-svnr8.tar.gz sgabios-0
Source0:        sgabios-0-svnr8.tar.gz
Patch0:         sgabios-hostcc.patch

BuildRequires:  binutils-x86_64-linux-gnu gcc-x86_64-linux-gnu

Requires: %{name}-bin = %{epoch}:%{version}-%{release}
Buildarch: noarch

# Sgabios is noarch, but required on architectures which cannot build it.
# Disable debuginfo because it is of no use to us.
%global debug_package %{nil}

%description
SGABIOS is designed to be inserted into a BIOS as an option rom to provide over
a serial port the display and input capabilities normally handled by a VGA
adapter and a keyboard, and additionally provide hooks for logging displayed
characters for later collection after an operating system boots.

%package bin
Summary: Sgabios for x86
Buildarch: noarch

%description bin
SGABIOS is designed to be inserted into a BIOS as an option rom to provide over
a serial port the display and input capabilities normally handled by a VGA
adapter and a keyboard, and additionally provide hooks for logging displayed
characters for later collection after an operating system boots.

%prep
%setup -q -n %{tardir}
%patch0 -p1

%build
unset MAKEFLAGS
make \
        HOSTCC=gcc \
        CC=x86_64-linux-gnu-gcc \
        AS=x86_64-linux-gnu-as \
        LD=x86_64-linux-gnu-ld \
        OBJCOPY=x86_64-linux-gnu-objcopy \
        OBJDUMP=x86_64-linux-gnu-objdump


%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sgabios
install -m 0644 sgabios.bin $RPM_BUILD_ROOT%{_datadir}/sgabios


%files
%doc COPYING design.txt

%files bin
%dir %{_datadir}/sgabios/
%{_datadir}/sgabios/sgabios.bin




%changelog
* Mon Apr 18 2016 tv <tv> 1:0.20110622svn-1.mga6
+ Revision: 1003326
- imported package sgabios

